Issues with Installation Requiring Additional Software



  • Launching the game after installation launched a new dialog to install some type of .NET package. I’m familiar with C++ redistributables but not with installing .NET packages. I allowed it anyway and then my computer automatically rebooted after showing a message saying it would do so. Upon restarting I greeted with a message to install AMD CPU drivers. I have an Intel CPU. Now everytime I click to launch the game it comes up with a message to install more software. I decline and the game runs anyway (albeit with issues, not sure if they’re related).

    So why is Chivalry trying to install AMD CPU drivers? And was installing the “Microsoft .NET Framework 4 Extended” necessary?

    Thanks for any support.



  • also have this happening.



  • Are you sure that AMD update isn’t for your Video Card? Never had a cpu try to update software. Steam does have an automatic driver updater for AMD video cards.



  • @Andrew:

    Are you sure that AMD update isn’t for your Video Card? Never had a cpu try to update software. Steam does have an automatic driver updater for AMD video cards.

    It specifically said “CPU”. I’ve never had a CPU try to update software either. Also strange because even if it was an AMD GPU issue, I’ve never had a video card driver update take complete control of my screen immediately upon rebooting the OS. Not to mention even the .NET update automatically rebooted without asking, which doesn’t come to mind as ever happening with installing additional software for a game.

    EDIT: I should also mention I did not allow the AMD CPU driver installation for obvious reasons. The only additional software I allowed Chivalry to install was the “Microsoft .NET Framwork 4 Extended” as stated previously.


  • Developer

    Can you post a dxdiag file for us (start -> run -> “dxdiag” -> Save All Information)? UE3Redist is supposed to check for an AMD CPU before installing those drivers. They won’t hurt anything to install, but regardless it’s just plain not supposed to require it.


Log in to reply